Subject: Re: my setup seems locked.
From: Brian Dessent <[email-masked]>
To: "Cygwin (E-mail)" <[email-masked]>
Date: Fri, 08 Apr 2005 13:51:59 -0700

"Kirschner, Paul E UTRC" wrote:

> I have cygwin installed on four win2000 machines I use. On three of them
> running "setup.exe" on my usual mirror site results in "Nothing to
> install/update". The fourth machine happily updated several files, including
> the base cygwin, to the latest release. Choosing another mirror site get
> either "nothing" or "setup.ini is older than the files installed" and offers
> to downgrade newer files.
> 
> I confirmed that only the one machine has the latest cygwin/corefiles
> package.
> 
> Something seems "stuck". Deleting the download directory does not unstick
> it.

It's remotely possible that if you are using the "Use IE settings"
option that the setup.bz2 file is being read from the disk cache each
time and not getting the latest one.  If you're using that option, try
the "dirsct connection" one which bypasses all forms of IE's disk
caching.  Or try clearing IE's cache.

Also try deleting
/etc/setup/{last-action,last-cache,last-connection,last-mirror,timestamp}. 
They should be harmless to remove, they just store the information about
which mirror you last used and so on.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/